Get cert images
curl --request GET \
--url https://api.gemrate.com/v1/certs/{grader}/{cert}/images \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gemrate.com/v1/certs/{grader}/{cert}/images"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gemrate.com/v1/certs/{grader}/{cert}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"grader": "psa",
"cert": "47178561",
"image_front": "<image_URL>",
"image_back": "<image_URL>"
},
"meta": {
"request_id": "local"
}
}{
"error": {
"code": "processing",
"message": "Still working on it; retry shortly."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "invalid_grader",
"message": "Unknown grader 'foo'."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "forbidden",
"message": "Your key does not have access to this resource."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests."
},
"meta": {
"request_id": "req_abc123"
}
}{
"error": {
"code": "internal_error",
"message": "Something went wrong."
},
"meta": {
"request_id": "req_abc123"
}
}Certs
Get cert images
Image access not included in basic plans. Contact GemRate for more information.
202 — retry shortly.
We only provide links to the images — we don’t grant you any rights to them. Your use is still subject to the rights and terms of the grading company.
GET
/
v1
/
certs
/
{grader}
/
{cert}
/
images
Get cert images
Authorizations
Path Parameters
The grading company.
Available options:
psa, beckett, sgc, cgc Example:
"psa"
The cert number printed on the slab.
Example:
"47178561"
⌘I